# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::BinaryLogicalNode Class Reference

expr1 && expr2, expr1 || expr2 More...

`#include <nodes.h>`

List of all members.

## Public Member Functions

| BinaryLogicalNode (Node *e1, Operator o, Node *e2)
virtual void | ref ()
virtual bool | deref ()
virtual Value | value (ExecState *exec) const
virtual void | streamTo (SourceStream &s) const

## Detailed Description

expr1 && expr2, expr1 || expr2

Definition at line 573 of file nodes.h.

The documentation for this class was generated from the following files:

- nodes.h
- nodes.cpp
- nodes2string.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:05 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001